const system=require("../../system");
const settings=require("../../../config/settings");
const uiconfig=system.getUiConfig2(settings.wxconfig.appId);
module.exports = (db, DataTypes) => {
  return db.define("shop", {
    name: DataTypes.STRING,
    headUrl: DataTypes.STRING,
    app_id:DataTypes.INTEGER,
    user_id:DataTypes.INTEGER,
    userName:DataTypes.STRING,
    onlyCode:DataTypes.STRING,
    userMobile:DataTypes.STRING,
    serviceItemTemplate: DataTypes.INTEGER,
    shopNum:DataTypes.BIGINT,
    presentationUrl:DataTypes.STRING,//介绍url
  },{
     paranoid: true,//假的删除
     underscored: true,
     version: true,
     freezeTableName: true,
     //freezeTableName: true,
     // define the table's name
     tableName: 'p_shop',
     validate: {
     }
  });
}
